Help get this topic noticed by sharing it on Twitter, Facebook, or email.
I’m unconcerned

OS 10.10

Your system doesn't meet the requirements to run Gapminder World Offline. This is de message that appears when I go to Download. I have a OS X Yosemite 10.10
6 people have
this problem
+1
Reply